
QGIS Application - Bug report #15566

Crash when clicking on magnifier spinbox

2016-09-14 10:51 PM - Paolo Cavallini

Status: Closed

Priority: Severe/Regression

Assignee: Sandro Santilli

Category: Unknown

Affected QGIS version:2.16.3 Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23489

Description

This happens when starting with --configpath, also on a clean dir.

Confirmed on 2.16.2 and 2.17, Debian. See https://lists.osgeo.org/pipermail/qgis-developer/2016-September/044628.html for details and

gdb output.

Associated revisions

Revision acf74a65 - 2016-10-19 09:06 AM - Sandro Santilli

Fix crash upon setting non-integer Dpi while in debug mode

Closes #15566

Revision 133a6f5a - 2016-10-19 09:17 AM - Sandro Santilli

Fix crash upon setting non-integer Dpi while in debug mode

Closes #15566

History

#1 - 2016-09-15 11:18 PM - Denis Rouzaud

Fatal: ASSERT failure in Job::startRender(): "pre-set DPI not equal to

painter's DPI (10 vs 9.6)", file

/tmp/buildd/qgis-2.17.0+git20160806+cb02b9f+13jessie/src/core

The DPI in QgsMapSettings is a double to allow small magnification scale

(i.e. zoom out) while QPaintDevice::logicalDpiX is an integer.

https://github.com/qgis/QGIS/blob/master/src/core/qgsmaprenderercustompainterjob.cpp#L73

This means that the application will crash if in Debug mode (not in

Release mode)

I am not sure if we can safely remove this.

Martin, may you have a look here?
#2 - 2016-09-17 05:02 AM - Richard Duivenvoorde

Just as input: when I do NOT use the --configpath option (so using the 'normal' settings from ~/.qgis2 and Qt stuff from ~/.config/QGIS

all is ok, and I can use the magnifier ok.

Looks like something is set in the 'normal' config, which apperently is not avaialbe in a fresh config?

#3 - 2016-10-04 06:03 PM - Nyall Dawson

- Priority changed from Normal to Severe/Regression

#4 - 2016-10-18 11:45 PM - Sandro Santilli

- Assignee set to Sandro Santilli

- Target version set to Version 2.18

How about rounding to closest integer ?

#5 - 2016-10-18 11:59 PM - Sandro Santilli

- Affected QGIS version changed from 2.16.2 to 2.16.3

I could reproduce in final-2_16_3-97-gb779a6a and 2.17+ (commit:f289ef3).

Could not reproduce in 2.14 branch, althought eh assertion is there too (maybe DPIMaxSetting was not a double back then?)

#6 - 2016-10-19 12:07 AM - Sandro Santilli

- Status changed from Open to Closed

Fixed in changeset commit:"acf74a6539a015dc5ae3e948c43163e01dde2d3d".

#7 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown
